<?php
/**
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 */


defined('_JEXEC') or die;

$i = 0;
?>

<div id="<?php echo $carouselId; ?>" class="carousel slide" data-bs-ride="carousel">
    <?php if ($params->get('indicators', 1)) : ?>
        <div class="carousel-indicators">
            <?php foreach ($slides as $key => $button) { ?>
                <button type="button" data-bs-target="#<?php echo $carouselId; ?>" data-bs-slide-to="<?php echo $i; ?>" class="<?php echo ($key == 'group_fields0') ?  'active' : '' ; ?>" aria-current="true" aria-label="Slide <?php echo $i; ?>"></button>
            <?php
                $i++;
            } ?>
        </div>
    <?php endif; ?>
    <div class="carousel-inner">
		<?php foreach ($slides as $key => $slide) { ?>
			<div class="carousel-item <?php echo ($key == 'group_fields0') ? 'active' : '' ; ?>">
					<img class="d-block w-100" src="<?php echo $slide->image; ?>" />
                    <?php if (!empty($slide->carousel_caption)) : ?>
						<div class="carousel-caption d-none d-md-block">
							<?php echo $slide->carousel_caption; ?>
						</div>
                    <?php endif; ?>
				</div>
		<?php } ?>
    </div>
    <?php if ($params->get('controlbutton', 1)) : ?>
        <button class="carousel-control-prev" type="button" data-bs-target="#<?php echo $carouselId; ?>" data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#<?php echo $carouselId; ?>" data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Next</span>
        </button>
    <?php endif; ?>
  </div>


